Gallery Platform API
Reference

List a deal's artworks

Returns the works linked to a deal, ordered, each with its optional asking-price snapshot.

GET
/gallery/deals/{id}/artworks

Returns the works linked to a deal, ordered, each with its optional asking-price snapshot.

Authorization

bearerAuth deals:read
AuthorizationBearer <token>

A gallery API key, sent as Authorization: Bearer gpk_… (or the x-api-key header).

In: header

Scope: deals:read

Path Parameters

id*string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

{  "data": [    {      "deal_id": "string",      "artwork_id": "string",      "asking_price_cents": -9007199254740991,      "currency": "string",      "position": -9007199254740991,      "created_at": "string"    }  ]}